> For the complete documentation index, see [llms.txt](https://docs.inforiver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inforiver.com/editable/formula-and-functions/conditional-statements/switch.md).

# SWITCH

The SWITCH function evaluates an expression against a list of values and returns the result corresponding to the first matching value. If there is no match, an optional default value is returned.

### Syntax <a href="#syntax" id="syntax"></a>

```excel-formula
switch( expression, val1, res1, val2, res2, ... val_n, res_n, default )
```

### Arguments <a href="#arguments" id="arguments"></a>

exp – The statement to be evaluated

val1, val2, … val\_n – The list of values to be compared against the expression

res1, res2, … res\_n – The result to be returned in case of a match

default – The default value to be returned if the expression does not match with any of the values in the argument list. This is an optional argument.

### **Return value** <a href="#return-value" id="return-value"></a>

Result when the expression matches with value, default in case there was no match.

### **Example** <a href="#example" id="example"></a>

```excel-formula
SWITCH(Region, "West", 25, "East",30, 50)
```

Will return 25 if the region is West, 30 if the region is East and 50 for all the other regions

### **Excel equivalent** <a href="#excel-equivalent" id="excel-equivalent"></a>

[SWITCH](https://support.microsoft.com/en-us/office/switch-function-47ab33c0-28ce-4530-8a45-d532ec4aa25e)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.inforiver.com/editable/formula-and-functions/conditional-statements/switch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
